<!DOCTYPE html>
<html lang="en" ng-app="spseApp">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Penawaran Peserta">
    <title>&{'penawaran.penawaran_peserta'}</title>
    <link href="#{assets '/angular/bootstrap.min.css'/}" rel="stylesheet">
    <link href="#{assets '/angular/handsontable.min.css'/}" rel="stylesheet">
    <link href="#{assets '/angular/style.css'/}" rel="stylesheet">
  </head>
  <body>

  	<!-- navigation bar, controlled by UserCtrl -->
  	<div class="navbar navbar-default fixed-top" role="navigation" ng-controller="UserCtrl">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
            <span class="sr-only">&{'penawaran.toggle_navigation'}</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="#">&{'penawaran.apendo_peserta'}</a>
        </div>
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav ml-auto">
            <li><a id="user" href="#" ng-bind="user.name" data-container=".navbar-fixed-top" data-toggle="popover" data-placement="bottom"></a></li>
            <li><a href="" ng-click="logout()">&{'penawaran.keluar'}</a></li>
          </ul>
        </div>
      </div>
    </div>

    <!-- main container -->
    <div class="container">

    	<!-- progress info section -->
    	<div id="tasks">
        
        <!-- the progress bars -->
        <div id="progresses" class="alert alert-info" ng-show="progresses.length > 0" ng-controller="ProgressCtrl">
	        <p ng-repeat="progress in progresses"><span ng-bind="progress.name | envelopeName"></span><span ng-bind="progress.percent|percentName" ng-hide="progress.done"></span> <span class="label label-info" ng-show="progress.done && !progress.error">&{'penawaran.selesai'}</span>&nbsp  class="label label-danger" ng-show="progress.error">&{'penawaran.gagal'}</span>
	        </p>
        </div>
        
        <!-- the action buttons -->
        <div id="actions" class="pull-right" ng-controller="ActionsCtrl">
          <button ng-show="ready && !uploading" class="btn btn-default" ng-click="upload()">&{'penawaran.unggah'}</button>
          <button ng-show="uploading" class="btn btn-default" disabled >&{'penawaran.mengunggah'}...</button>
        </div>

      </div>

    	<!-- the envelopes, represented as tabs -->
    	<ul id="tabs" class="nav nav-tabs" ng-controller="EnvelopesCtrl" ng-cloak>
        <li>
          <a href="#info" data-toggle="tab" data-index="0">&{'penawaran.admin'}</a>
        </li>
        <li>
          <a href="#technical" data-toggle="tab" data-index="1">&{'penawaran.teknis'}</a>
        </li>
        <li>
          <a href="#pricing-tab" data-toggle="tab" data-index="2">&{'penawaran.harga'}</a>
        </li>
      </ul>

      <!-- the tabs content -->
      <div class="tab-content">

      	<!-- envelope: info -->
      	<div class="tab-pane" id="info" ng-controller="InfoCtrl">
      		<br />
          <table class="table table-sm">
            <thead>
              <th>&nbsp;</th           <th>&nbsp;</th>
       </thead>
            <tbody>
              <tr><td width="200"><b>&{'penawaran.kode_tender'}</b></td><td ng-bind="info.id"></td></tr>
              <tr><td><b>&{'penawaran.nama_paket'}</b></td><td ng-bind="info.name"></td></tr>
              <tr><td><b>&{'penawaran.instansi'}</b></td><td ng-bind="info.organization"></td></tr>
              <tr><td><b>&{'penawaran.nilai_hps'}</b></td><td ng-bind="info.hps | currency:'Rp. '"></td></tr>
              <tr><td><b>LPSE</b></td><td ng-bind="info.lpse"></td></tr> 
              <tr>
                <td><b>&{'penawaran.masa_berlaku'}</b></td>
                <td>
                  <div class="input-group input-group-sm" style="width: 200px;">
                    <input type="text" class="form-control" ng-model="info.period" placeholder="30" style="text-align: right;">
                    <span class="input-group-btn">
                      <a class="btn btn-default">&{'penawaran.hari_kalender'}</a>
                      <button class="btn btn-default" ng-disabled="!dirty" ng-click="save()">&{'penawaran.btn_simpan'}</button>
                    </span>
                  </div>
                </td>
              </tr>
            </tbody>
          </table>
      	</div>

      	<!-- envelope: technical -->
      	<div class="tab-pane" id="technical" ng-controller="TechnicalCtrl">
      		<br />
      		
      		<div id="technical-actions" class="float-right" ng-cloak>

      			<p class="text-right" ng-show="encrypted && !encrypting"><small>Terakhir dienkripsi: </small><b><a href="" ng-click="open(encrypted.dir)"><small ng-bind="encrypted.date"></small></a></b>
      			</p>

            <button ng-show="dirty && !filled && !uploading && !encrypting" class="btn btn-default pull-right" ng-click="save()">&{'penawaran.simpan'}</button>
            <button ng-show="dirty && filled && !uploading && !encrypting" class="btn btn-default pull-right" ng-click="save(true)">&{'penawaran.simpan_enkripsi'}</button>
            <span ng-show="encrypting">Melakukan enkripsi...</span>
          </div>

      		<table class="table table-sm">
            <thead>
              <th>#</th>
              <th>&{'penawaran.nama'}</th>
              <th>&{'penawaran.berkas'}</th>
              <th>&{'penawaran.aksi'}</th>
            </thead>
            <tbody>
            	<tr ng-repeat="technical in technicals">
            		<td ng-bind="$index + 1">&{'penawaran.index'}</td>
            		<td ng-bind="technical.name">&{'penawaran.nama'}</td>
            		<td>
            			<span ng-hide="technical.files.length > 0">&{'penawaran.belum_ada_berkas'}</span>
            			<ol>
            				<li ng-repeat="file in technical.files track by $index"><a href="" ng-click="open(file.name)" ng-bind="file.name"></a>
                    &nbsp;<button class="btn btn-default btn-xs" ng-click="remove(technical, $index)">&{'penawaran.hapus'}</button>
            			</ol>
            		</td>
            		<td><a class="btn btn-default btn-sm" ng-click="select($index)" ng-bind="technical.files.length > 0 ? '&{'penawaran.tambah'}' : '&{'penawaran.pilih'}'"></a></td>
            	</tr>
            </tbody>
          </table>
      	</div>

      	<!-- envelope: pricing -->
      	<div class="tab-pane" id="pricing-tab">
      		<br />
      	</div>

      	<!-- put it outside the actual tab for the sake of visual consistency, init with 'display: none' -->
      	<div id="pricing" ng-controller="PricingCtrl" style="display: none;">
      		
      		<div id="pricing-actions" class="float-right" ng-cloak>

      			<p class="text-right" ng-show="encrypted && !encrypting"><small>&{'penawaran.terakhir_enkripsi'}: </small><b><a href="" ng-click="open(encrypted.dir)"><small ng-bind="encrypted.date"></small></a></b>
      			</p>

            <button ng-show="dirty && !uploading && !encrypting" class="btn btn-default pull-right" ng-click="save(true)">Simpan dan Lakukan Enkripsi</button>
            <span ng-show="encrypting">&{'penawaran.melakukan_enkripsi'}...</span>
          </div>

          <table class="table table-sm">
            <thead>
              <th>&{'penawaran.rincian'}</th>
            </thead>
            <tbody>
          	</tbody>
          </table>

	      	<div id="pricing-detail"></div>
	      	<br />
	      	<div id="pricing-summary" class="card card-default">
		        <form  role="form">
		          <div class="form-group row">
		            <label class="col-sm-2 control-label">&{'penawaran.jumlah'}</label>
		            <p class="col-sm-4 form-control-static" ng-bind="subtotal | currency:'Rp. '" style="text-align: right;">
		            </p>
		          </div>
		          <div class="form-group row">
		            <label class="col-sm-2 col-form-label">PPN 10%</label>
		            <p class="col-sm-4 form-control-static" ng-bind="ppn | currency:'Rp. '" style="text-align: right;">
		            </p>
		          </div>
		          <div class="form-group row">
		            <label class="col-sm-2 control-label">&{'penawaran.total_nilai'}</label>
		            <p class="col-sm-4 form-control-static" ng-bind="total | currency:'Rp. '" style="text-align: right;">
		            </p>
		          </div>
		        </form>
		      </div>
	    	</div>
    </div>

  	<!-- data, rendered by server: 0. user, 1. info, 2. access token, 3. upload url -->
  	<script type="text/javascript">
  		// 0. user object
  		// e.g.
  		/*
			{
				"id": "53c357e4675d81f40e2c7917",
		    "username": "rockybars",
		    "password": "test",
		    "name": "RockyBars.com",
		    "address": "Huhuy",
		    "phone": "628122039966",
		    "role": "vendor"
			}
  		*/
  		var user = {{ entry.owner | raw | json_encode }}; // this is the swig's way
      var info = {{ entry.bidding | raw | json_encode }}; // this is the swig's way
      
      // 2. access token string
      // e.g. '44343548-c417-43dd-9fcf-dfa1940ff37c'
      var token = '{{ token }}'; // this is the swig's way

      // 3. upload url string
      // e.g. http://posttestserver.com/post.php?dump
      var uploadUrl = '{{ uploadUrl }}'; // this is the swig's way

      // compatibility attempts, for dumy site only. If you don't have these silly _ids, don't bother.
      info.id = info.id || info._id;
      user.id = user.id || user._id;

  	</script>

  	<!-- dependencies -->
    <script type="text/javascript" src="#{assets '/angular/jquery.min.js'/}"></script>
    <script type="text/javascript" src="#{assets '/angular/bootstrap.min.js'/}"></script>
    <script type="text/javascript" src="#{assets '/angular/hansontable.min.js'/}"></script>
    <!-- ng -->
    <script type="text/javascript" src="#{assets '/angular/angular.min.js'/}"></script>
    <script type="text/javascript" src="#{assets '/angular/safe-apply.js'/}"></script>
  	<!-- the app -->
    <script type="text/javascript" src="#{assets '/angular/app.vendor.lt17.js'/}"></script>

  </body>
</html>